.ht-input {
  padding: 8px 4px;
  margin: 0 auto;
  width: 100%;
  border: none;
  border-bottom: 2px solid $border-color;
  background-color: transparent;
  border-radius: 5px 5px 0 0;
  box-sizing: border-box;
  transition: border-bottom-color 0.3s ease-in-out;
  &-active {
    border-bottom-color: $primary-color;
  }

  &-error {
    border-bottom-color: $danger-color;
  }

  &:focus {
    outline: none;
  }

  &__container {
    position: relative;
    width: 100%;
    min-height: 50px;
    margin-top: 20px;
  }

  &__label {
    position: absolute;
    top: 8px;
    left: 4px;
    transition: top 0.2s ease-in-out, font-size 0.2s ease-in-out, color 0.2s ease-in-out;

    &-selected {
      color: $primary-color;
    }

    &-active {
      top: -15px;
      font-size: 0.8rem !important;
    }
  }

  &__error {
    color: $danger-color;
    font-size: 80%;
    text-align: right;
    display: block;
    position: relative;
    top: -10px;
    opacity: 0;
    transition: opacity 0.2s ease-in-out, top 0.2s ease-in-out;

    &-active {
      top: 3px;
      opacity: 1;
    }
  }
}
